> For the complete documentation index, see [llms.txt](https://docs.flatredball.com/flatredball/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flatredball.com/flatredball/api/flatredball/camera/updateviewprojectionmatrix.md).

# UpdateViewProjectionMatrix

The UpdateViewProjectionMatrix updates the [View](https://github.com/flatredball/FlatRedBallDocs/blob/main/frb/docs/index.php) and [Projection](https://github.com/flatredball/FlatRedBallDocs/blob/main/frb/docs/index.php) properties according to the Camera's current state. This function is automatically called on all Cameras which are a part of FlatRedBall every frame prior to the frame being rendered, but if the [View](https://github.com/flatredball/FlatRedBallDocs/blob/main/frb/docs/index.php) and [Projection](https://github.com/flatredball/FlatRedBallDocs/blob/main/frb/docs/index.php) properties are needed after the Camera has been updated, then UpdateViewProjectionMatrix needs to be called.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.flatredball.com/flatredball/api/flatredball/camera/updateviewprojectionmatrix.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
